import { ILogger } from '../../../types/logger';
import { LogTypes, Levels } from '../../../types/logger';
export default class ConsoleLoggerAdapter implements ILogger {
    /**
     * Private properties
     */
    private appLogName;
    private logLevel;
    /**
     * Constructor
     */
    constructor(appName: string);
    static readonly Levels: {
        [name: string]: Levels;
    };
    readonly statics: typeof ConsoleLoggerAdapter;
    readonly appName: string;
    readonly timestamp: string;
    level: Levels;
    header(type: LogTypes): string;
    bare(...message: any[]): void;
    info(...message: any[]): void;
    warn(...message: any[]): void;
    error(err: Error, ...message: any[]): void;
}
