export default class Increment {
    private minimum;
    private maximum?;
    private keyValue;
    escapeKey: (value: any) => string;
    escape: (value: any) => string;
    constructor(key: string, value: number, min?: number, max?: number);
    static isImplementedBy(value: any): boolean;
    static by(value: number): {
        type: string;
        value: number;
    };
    readonly key: string;
    readonly value: number;
    readonly min: number;
    readonly max: number | undefined;
    toSqlString(): string;
}
