import { JsonActionType } from '../../../types/json';
export declare class JsonAction {
    type: JsonActionType;
    keyValue: [string, any];
    pathName: string;
    escapeKey: (value: any) => string;
    escape: (value: any) => string;
    constructor(type: JsonActionType, key: string, path: string, value: any);
    static isImplementedBy(value: any): boolean;
    readonly key: string;
    readonly value: string;
    readonly path: string;
    toSqlString(): string | undefined;
}
