export default class KeyMap {
    /**
     * Private properties
     */
    private map;
    private immutable;
    /**
     * Constructor
     * @param {Object} keyValues
     * @param {Boolean} immutable
     */
    constructor(keyValues?: {
        [key: string]: any;
    }, immutable?: boolean);
    readonly length: number;
    readonly keys: string[];
    readonly values: any[];
    has(key: string): boolean;
    set(key: string, value: any): void;
    get(key: string): any;
    remove(key: string): void;
    toArray(): [string, any][];
    freeze(): void;
    toJSON(): object;
}
