import User from '../auth/user';
import { FunctionOptions } from '../../types/functions';
export default class FunctionClass {
    private user;
    private keys;
    constructor(keys?: {
        [name: string]: any;
    }, user?: User);
    statics<T extends typeof FunctionClass>(): T;
    set(key: string, value: any): void;
    get(key: string): any;
    readonly currentUser: any;
    static readonly functionName: string | void;
    static readonly masterOnly: boolean;
    run<U extends User | undefined>(params?: object, opts?: FunctionOptions<U>): any;
}
