"use strict";
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spread = (this && this.__spread) || function () {
    for (var ar = [], i = 0; i < arguments.length; i++) ar = ar.concat(__read(arguments[i]));
    return ar;
};
Object.defineProperty(exports, "__esModule", { value: true });
var class_1 = require("../../class");
var constants_1 = require("../../../../utils/constants");
exports.beforeFind = function (classInstance, methodName) {
    // Add method to triggers
    var definition = class_1.ClassDefinitionManager.get(classInstance.statics());
    definition.triggers = __spread(definition.triggers, [{ type: constants_1.TriggerBeforeFind, action: classInstance[methodName] }]);
    class_1.ClassDefinitionManager.set(classInstance.statics(), definition);
};
exports.beforeFirst = function (classInstance, methodName) {
    // Add method to triggers
    var definition = class_1.ClassDefinitionManager.get(classInstance.statics());
    definition.triggers = __spread(definition.triggers, [{ type: constants_1.TriggerBeforeFirst, action: classInstance[methodName] }]);
    class_1.ClassDefinitionManager.set(classInstance.statics(), definition);
};
exports.beforeGet = function (classInstance, methodName) {
    // Add method to triggers
    var definition = class_1.ClassDefinitionManager.get(classInstance.statics());
    definition.triggers = __spread(definition.triggers, [{ type: constants_1.TriggerBeforeGet, action: classInstance[methodName] }]);
    class_1.ClassDefinitionManager.set(classInstance.statics(), definition);
};
exports.beforeSave = function (classInstance, methodName) {
    // Add method to triggers
    var definition = class_1.ClassDefinitionManager.get(classInstance.statics());
    definition.triggers = __spread(definition.triggers, [{ type: constants_1.TriggerBeforeSave, action: classInstance[methodName] }]);
    class_1.ClassDefinitionManager.set(classInstance.statics(), definition);
};
exports.afterSave = function (classInstance, methodName) {
    // Add method to triggers
    var definition = class_1.ClassDefinitionManager.get(classInstance.statics());
    definition.triggers = __spread(definition.triggers, [{ type: constants_1.TriggerAfterSave, action: classInstance[methodName] }]);
    class_1.ClassDefinitionManager.set(classInstance.statics(), definition);
};
exports.beforeDestroy = function (classInstance, methodName) {
    // Add method to triggers
    var definition = class_1.ClassDefinitionManager.get(classInstance.statics());
    definition.triggers = __spread(definition.triggers, [{ type: constants_1.TriggerBeforeDestroy, action: classInstance[methodName] }]);
    class_1.ClassDefinitionManager.set(classInstance.statics(), definition);
};
exports.afterDestroy = function (classInstance, methodName) {
    // Add method to triggers
    var definition = class_1.ClassDefinitionManager.get(classInstance.statics());
    definition.triggers = __spread(definition.triggers, [{ type: constants_1.TriggerAfterDestroy, action: classInstance[methodName] }]);
    class_1.ClassDefinitionManager.set(classInstance.statics(), definition);
};
//# sourceMappingURL=triggers.js.map