import Relation from './relation';
import { RelationsMap } from '../../types/relations';
import ConstraintMap from '../../utils/constraint-map';
/**
 * Get columns
 */
export declare const getColumnsFrom: (className: string, keys: string[], relationsMap: RelationsMap) => Map<string, string>;
/**
 * Get relations
 * @param keys
 */
export declare const getRelationsFrom: (keys: string[], relationsMap: RelationsMap) => Map<string, Relation>;
/**
 * Determine constraints
 * @param prefix
 */
export declare const getConstraintsFrom: (className: string, constraints: ConstraintMap) => ConstraintMap;
/**
 * Get sorting
 */
export declare function getSortingFrom(className: string, sort: string[]): string[];
