export declare const InternalId = "id";
export declare const CreatedAt = "created_at";
export declare const UpdatedAt = "updated_at";
export declare const DeletedAt = "deleted_at";
export declare const InternalTimestamps: Readonly<{
    CreatedAt: string;
    UpdatedAt: string;
    DeletedAt: string;
}>;
export declare const TriggerBeforeFind = "before-find";
export declare const TriggerBeforeFirst = "before-first";
export declare const TriggerBeforeGet = "before-get";
export declare const TriggerBeforeSave = "before-save";
export declare const TriggerAfterSave = "after-save";
export declare const TriggerBeforeDestroy = "before-destroy";
export declare const TriggerAfterDestroy = "after-destroy";
export declare const SortSymbol = "-";
export declare const SortAscending = "ascending";
export declare const SortDescending = "descending";
export declare const RelationDelimiter = ".";
export declare const RelationTypeName = "Relation";
export declare const CompoundDelimiter = "|";
export declare const IncrementTypeName = "Increment";
export declare const SetJsonTypeName = "SetJson";
export declare const AppendJsonTypeName = "AppendJson";
export declare const InternalKeys: Readonly<{
    Middleware: Readonly<{
        ApiKey: string;
        MasterKey: string;
        User: string;
        Result: string;
        ClassManager: string;
    }>;
    Relations: Readonly<{
        Type: string;
        ClassName: string;
        Attributes: string;
    }>;
    Auth: Readonly<{
        User: string;
        Username: string;
        Email: string;
        Password: string;
    }>;
}>;
export declare const DatabaseWrite = "write";
export declare const DatabaseRead = "read";
export declare const Defaults: Readonly<{
    Query: Readonly<{
        Sort: string[];
        Skip: number;
        Limit: number;
    }>;
}>;
export declare const AccessFind = "find";
export declare const AccessGet = "get";
export declare const AccessCreate = "create";
export declare const AccessUpdate = "update";
export declare const AccessDestroy = "destroy";
export declare const AccessRun = "run";
